Package de.willuhn.jameica.hbci.rmi

# Interface SepaSammelUeberweisungBuchung

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `Duplicatable`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `SepaBooking`, `SepaSammelTransferBuchung<SepaSammelUeberweisung>`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Implementing Classes:
  `SepaSammelUeberweisungBuchungImpl`

public interface SepaSammelUeberweisungBuchung extends SepaSammelTransferBuchung<SepaSammelUeberweisung>, Duplicatable
Interface fuer eine einzelne Buchung einer SEPA-Sammelueberweisung.

## Method Summary

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Duplicatable

`duplicate`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaBooking

`getEndtoEndId, getPurposeCode, setEndtoEndId, setPurposeCode`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaSammelTransferBuchung

`getSammelTransfer, setBetrag, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setSammelTransfer, setZweck`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`